<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");

class log extends elemento{
	
	function log() {
		 $c= new categoria;
	}
	
	function editar($id=""){
		$this->listar();
	}
	
	function listar(){ 
        $campos=array("Acção"=>"accao","Utilizador"=>"login","Data"=>"data","Hora"=>"hora",
        "Registo nr."=>"idRegisto","Tipo registo"=>"tipoRegisto",);
        $db= new dbElemento;
                
       	$this->req['filtro']['idUser'] = $this->req['idUser'];
        
        $dados=$db->getLista($this->tipo, "", $campos , "id", 0 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
        
        $f= new lista($campos, $dados, $this->req);
        $toolbar= new toolbar(); 
        $toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		$toolbar->procurar($this->req['procurar']);
		$toolbar->botao_l("procurar", 90);
		$toolbar->fim();

		$f->titulo("Logs");
		$f->cabecaSimples();
        $f->tabela(false,false,false);
		$f->mostra();
		
	}	
}
?>
